package com.zcu.example;

import java.util.ArrayList;
import java.util.Locale;

import javax.annotation.Resource;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import com.zcu.example.data.dao.ZcuUserDAO;
import com.zcu.example.data.pojo.ZcuUser;

@Controller
public class UsersController {
	
	@Resource(name = "userService")
	private ZcuUserDAO userServis;
	
	@RequestMapping(value = "/user-list", method = RequestMethod.GET)
	public String home(Locale locale, Model model) {
		
		ArrayList<ZcuUser> usersList = userServis.getListUsers();
		model.addAttribute("users", usersList);	
		return "users";
	}
}
